DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# Median

statistics function

## SYNOPSIS

`#include "dip_math.h"`

dip_Error dip_Median ( in, mask, out, ps )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

Calculates the median of the pixel values over all those dimensions which are specified by `ps`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `mask (0)` | Mask
`dip_Image` | `out` | Output
`dip_BooleanArray` | `ps (0)` | Dimensions to project

## SEE ALSO

From images to scalars

`Sum`, `Mean`, `Variance`, `StandardDeviation`, `MeanModulus`, `SumModulus`, `MeanSquareModulus`, `Maximum`, `Minimum`, `Percentile`

DIPlib on-line documentation | Function reference | Global function index